summaryrefslogtreecommitdiff
path: root/lib/clipboard.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/clipboard.zsh')
-rw-r--r--lib/clipboard.zsh10
1 files changed, 5 insertions, 5 deletions
diff --git a/lib/clipboard.zsh b/lib/clipboard.zsh
index 2f3b6bcad..4b37abc9b 100644
--- a/lib/clipboard.zsh
+++ b/lib/clipboard.zsh
@@ -100,8 +100,8 @@ function detect-clipboard() {
fi
}
-# Detect at startup. A non-zero exit here indicates that the dummy clipboards were set,
-# which is not really an error. If the user calls them, they will attempt to redetect
-# (for example, perhaps the user has now installed xclip) and then either print an error
-# or proceed successfully.
-detect-clipboard || true
+function clipcopy clippaste {
+ unfunction clipcopy clippaste
+ detect-clipboard || true # let one retry
+ "$0" "$@"
+}